export const SYSTEM_ID = "fvtt-te-deum";


export const TEDEUM_CONFIG = {

  BONUS_DEGATS: [{}, { label: "1d4", value: -2 }, { label: "1d6", value: -1 }, { label: "1d8", value: 0 },
  { label: "1d10", value: 1 }, { label: "1d12", value: 2 }, { label: "1d20", value: 3 }],
  MAX_ARMURES_LOURDES: [{}, { value: 1 }, { value: 3 }, { value: 5 },
  { value: 7 }, { value: 9 }, { value: 11 }],
  ACTIONS_PAR_TOUR: [{}, { value: 1 }, { value: 2 }, { value: 2 },
  { value: 3 }, { value: 3 }, { value: 4 }],
  COUT_XP: [{}, { value: 10 }, { value: 10 }, { value: 10 },
  { value: 10 }, { value: 30 }, { value: 50 }],

  LOCALISATION: {
    "pieddroit": { label: "Pied Droit", value: 1, id: "pieddroit", nbArmure: 1 },
    "jambedroite": { label: "Jambe Droite", value: 1, id: "jambedroite", nbArmure: 1 },
    "jambegauche": { label: "Jambe Gauche", value: 1, id: "jambegauche", nbArmure: 1 },
    "piedgauche": { label: "Pied Gauche", value: 1, id: "piedgauche", nbArmure: 1 },
    "piedgauche": { label: "Pied Gauche", value: 1, id: "piedgauche", nbArmure: 1 },
    "maindroite": { label: "Main Droite", value: 1, id: "maindroite", nbArmure: 1 },
    "maingauche": { label: "Main Gauche", value: 1, id: "maingauche", nbArmure: 1 },
    "brasdroit": { label: "Bras Droit", value: 1, id: "brasdroit", nbArmure: 2 },
    "brasgauche": { label: "Bras Gauche", value: 1, id: "brasgauche", nbArmure: 2 },
    "corps": { label: "Corps", value: 1, id: "corps", nbArmure: 2 },
    "tete": { label: "Tête", value: 1, id: "tete", nbArmure: 2 },
  },

  ARME_SPECIFICITE: {
    "encombrante": { label: "Encombrante", id: "encombrante" },
    "maintiendistance": { label: "Maintien à distance", id: "maintiendistance" },
    "treslongue": { label: "Très longue", id: "treslongue" },
    "coupassomant": { label: "Coup assomant", id: "coupassomant" },
    "peutlancer": { label: "Peut être lancée", id: "peutlancer" },
  },

  descriptionValeur: {
    1: { valeur: 1, qualite: "Mauvais", dice: "d4", negativeDice: "d20", savoir: "Sot", sensibilite: "Obtus", entregent: "Rustaud", puissance: "Menu", complexion: "Anémique", adresse: "Empesé" },
    2: { valeur: 2, qualite: "Médiocre", dice: "d6", negativeDice: "d12", savoir: "Limité", sensibilite: "Etriqué", entregent: "Frustre", puissance: "Délicat", complexion: "Languide", adresse: "Gauche" },
    3: { valeur: 3, qualite: "Correct", dice: "d8", negativeDice: "d10", savoir: "Mêlé", sensibilite: "Ouvert", entregent: "Badin", puissance: "Membru", complexion: "Dispos", adresse: "Ingambe" },
    4: { valeur: 4,  qualite: "Bon", dice: "d10", negativeDice: "d8", savoir: "Lettré", sensibilite: "Fin", entregent: "Disert", puissance: "Vigoureux", complexion: "Gaillard", adresse: "Leste" },
    5: { valeur: 5, qualite: "Bon", dice: "d10", negativeDice: "d8", savoir: "Lettré", sensibilite: "Fin", entregent: "Disert", puissance: "Vigoureux", complexion: "Gaillard", adresse: "Leste" },
    6: { valeur: 6, qualite: "Bon", dice: "d10", negativeDice: "d8", savoir: "Lettré", sensibilite: "Fin", entregent: "Disert", puissance: "Vigoureux", complexion: "Gaillard", adresse: "Leste" },
    7: { valeur: 7, qualite: "Excellent", dice: "d12", negativeDice: "d6", savoir: "Docte", sensibilite: "Subtil", entregent: "Galant", puissance: "Musculeux", complexion: "Sanguin", adresse: "Preste" },
    8: { valeur: 8, qualite: "Excellent", dice: "d12", negativeDice: "d6", savoir: "Docte", sensibilite: "Subtil", entregent: "Galant", puissance: "Musculeux", complexion: "Sanguin", adresse: "Preste" },
    9: { valeur: 9, qualite: "Excellent", dice: "d12", negativeDice: "d6", savoir: "Docte", sensibilite: "Subtil", entregent: "Galant", puissance: "Musculeux", complexion: "Sanguin", adresse: "Preste" },
    10: { valeur: 10, qualite: "Excellent", dice: "d12", negativeDice: "d6", savoir: "Docte", sensibilite: "Subtil", entregent: "Galant", puissance: "Musculeux", complexion: "Sanguin", adresse: "Preste" },
    11: { valeur: 11, qualite: "Excellent", dice: "d12", negativeDice: "d6", savoir: "Docte", sensibilite: "Subtil", entregent: "Galant", puissance: "Musculeux", complexion: "Sanguin", adresse: "Preste" },
    12: { valeur: 12, qualite: "Admirable", dice: "d20", negativeDice: "d4", savoir: "Humaniste", sensibilite: "Spirituel", entregent: "Sémillant", puissance: "Hercule", complexion: "Aguerri", adresse: "Alerte" },
  },
  
  degatsArmure : {    
    sansarmure : { label: "Sans armure"},
    cuir : { label: "Cuir"},
    plates : { label: "Plates"},
    mailles : { label: "Mailles"},
  },

  caracteristiques: {
    savoir: { id: "savoir", value: "savoir", label: "Savoir" },
    sensibilite: { id: "sensibilite", value: "sensibilite", label: "Sensibilité" },
    entregent: { id: "entregent", value: "entregent", label: "Entregent" },
    complexion: { id: "complexion", value: "complexion", label: "Complexion" },
    puissance: { id: "puissance", value: "puissance", label: "Puissance" },
    adresse: { id: "adresse", value: "adresse", label: "Adresse" },
  },

  providence: [
    { labelM: "Brebis égarée", labelF: "Brebis égarée", value: 0, diceValue: "0" },
    { labelM: "Pauvre pêcheur", labelF: "Pauvre pêcheresse", value: 1, diceValue: "d4" },
    { labelM: "Fils prodigue", labelF: "Fille prodigue", value: 2, diceValue: "d6" },
    { labelM: "Bon samaritain", labelF: "Bon samaritain", value: 3, diceValue: "d8" },
    { labelM: "Animé par la grâce", labelF: "Animée par la grâce", value: 4, diceValue: "d10" },
    { labelM: "Oint du Seigneur", labelF: "Ointe du Seigneur", value: 5, diceValue: "d12" },
    { labelM: "Dans la main de Dieu", labelF: "Dans la main de Dieu", value: 6, diceValue: "d20" },
  ],

  armeTypes: {
    melee: { label: "Mêlée", value: "melee" },
    tir: { label: "Tir", value: "tir" }
  },
  difficulte: {
    routine: { label: "Routine", value: 3 },
    facile: { label: "Facile", value: 5 },
    pardefaut: { label: "Par Défaut", value: 7 },
    malaise: { label: "Malaisé", value: 9 },
    difficile: { label: "difficile", value: 11 },
    perilleux: { label: "Perilleux", value: 13 },
    desespere: { label: "Désespéré", value: 15 }
  },
  monnaie: {
    denier: { label: "Deniers", id: "denier", value: 1 },
    sol: { label: "Sols", id: "sol", value: 10 },
    livre: { label: "Livres", id: "livre", value: 100 }
  },
  etapesEducation: {
    pouponniere: { label: "La Pouponnière", value: "pouponniere", agemin: 0, agemax: 6, nbCompetences: 2, nbCaracteristiques: 3, hasQuestionnaire: true, hasMultiplier: false },
    petitsgrimauds: { label: "La classe des Petits Grimauds", value: "petitsgrimauds", agemin: 7, agemax: 12,nbCompetences: 2, nbCaracteristiques: 3, hasQuestionnaire: true, hasMultiplier: false },
    rosevie: { label: "Les Roses de la Vie", value: "rosevie", agemin: 13, agemax: 16, nbCompetences: 2, nbCaracteristiques: 3, hasQuestionnaire: true, hasMultiplier: false },
    ageviril: { label: "L'Age Viril", value: "ageviril", agemin: 17, agemax: 17, nbCompetences: 9, nbCaracteristiques: 2, hasQuestionnaire: false, hasMultiplier: true },
  },
  origineSociale: {
    noblesseepee: { label: "Noblesse d'épée", id: "noblesseepee", value: 1 },
    noblessecloche: { label: "Noblesse de cloche", id: "noblessecloche", value: 2 },
    hautenoblesse: { label: "Haute noblesse (Illégitime)", id: "hautenoblesse", value: 3 },
    hautebourgeoisie: { label: "Haute bourgeoisie", id: "hautebourgeoisie", value: 4 },
    petitebourgeoisie: { label: "Petite bourgeoisie (Marchands)", id: "petitebourgeoisie", value: 5 },
    artisan: { label: "Artisans", id: "artisan", value: 6 },
    laboureur: { label: "Laboureurs", id: "laboureur", value: 7 },
    domesticite: { label: "Domesticité", id: "domesticite", value: 8 },
    paysannerie: { label: "Paysannerie", id: "paysannerie", value: 9 },
    gueux: { label: "Gueux", id: "gueux", value: 10 },
  }
}